
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.0.31903.59
MinimumVisualStudioVersion = 10.0.40219.1
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch03_DataBinding", "ch03_DataBinding", "{E9273679-4D52-465F-8C23-8096DD8C2A7B}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_v1", "ch03_DataBinding\ex_BindingToA2dArray_v1\ex_BindingToA2dArray_v1.csproj", "{AB5CCC4D-10B3-4116-A6B3-D1F720507608}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_context", "ch03_DataBinding\ex_BindingToA2dArray_context\ex_BindingToA2dArray_context.csproj", "{43E82F4F-6EBA-4708-A392-1B2E8130A19E}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_BindingToA2dArray_v2", "ch03_DataBinding\ex_BindingToA2dArray_v2\ex_BindingToA2dArray_v2.csproj", "{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "ch02_DesigningViews", "ch02_DesigningViews", "{1E07D063-F377-413B-B9A0-FB94AF14B1A9}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_ShadowLabel", "ch02_DesigningViews\ex_ShadowLabel\ex_ShadowLabel.csproj", "{62F4D4C2-7C79-4090-BB4B-20F848322113}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_OutlineText", "ch02_DesigningViews\ex_OutlineText\ex_OutlineText.csproj", "{EAD02985-9DBA-459D-B12E-32A89D2C95C5}"
EndProject
Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "ex_Toolbar", "ch02_DesigningViews\ex_Toolbar\ex_Toolbar.csproj", "{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Release|Any CPU = Release|Any CPU
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608}.Release|Any CPU.Build.0 = Release|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E}.Release|Any CPU.Build.0 = Release|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4}.Release|Any CPU.Build.0 = Release|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{62F4D4C2-7C79-4090-BB4B-20F848322113}.Release|Any CPU.Build.0 = Release|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5}.Release|Any CPU.Build.0 = Release|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C}.Release|Any CPU.Build.0 = Release|Any CPU
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(NestedProjects) = preSolution
		{AB5CCC4D-10B3-4116-A6B3-D1F720507608} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{43E82F4F-6EBA-4708-A392-1B2E8130A19E} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{C93C6EF6-C535-44C0-B5BF-0DD4988F3FA4} = {E9273679-4D52-465F-8C23-8096DD8C2A7B}
		{62F4D4C2-7C79-4090-BB4B-20F848322113} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{EAD02985-9DBA-459D-B12E-32A89D2C95C5} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
		{0D77C4EE-DD5C-4DCB-8FCB-F3548BDD398C} = {1E07D063-F377-413B-B9A0-FB94AF14B1A9}
	EndGlobalSection
EndGlobal
